com.sun.pdfview.font

## Class PDFCMap

- java.lang.Object
- - com.sun.pdfview.font.PDFCMap

    public abstract class PDFCMap
    extends java.lang.Object

A CMap maps from a character in a composite font to a font/glyph number pair in a CID font.

### Constructor Summary

Constructors
`protected` `PDFCMap()` Creates a new instance of CMap

### Method Summary

Methods
`static PDFCMap` `getCMap(PDFObject map)` Get a CMap, given a PDF object containing one of the following: a string name of a known CMap a stream containing a CMap definition
`static PDFCMap` `getCMap(java.lang.String mapName)` Get a CMap, given a string name
`int` `getFontID(char src)` Get the font number assoicated with a given source character
`abstract char` `map(char src)` Map a given source character to a destination character
`protected static PDFCMap` `parseCMap(PDFObject map)` Parse a CMap from a CMap stream
`protected static void` `populateCache()` Populate the cache with well-known types

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFCMap

    protected PDFCMap()

Creates a new instance of CMap

### Method Detail

#### getCMap

    public static PDFCMap getCMap(PDFObject map)
                           throws java.io.IOException

Get a CMap, given a PDF object containing one of the following: a string name of a known CMap a stream containing a CMap definition

Throws:
  `java.io.IOException`

#### getCMap

    public static PDFCMap getCMap(java.lang.String mapName)
                           throws java.io.IOException

Get a CMap, given a string name

Throws:
  `java.io.IOException`

#### populateCache

    protected static void populateCache()

Populate the cache with well-known types

#### parseCMap

    protected static PDFCMap parseCMap(PDFObject map)
                                throws java.io.IOException

Parse a CMap from a CMap stream

Throws:
  `java.io.IOException`

#### map

    public abstract char map(char src)

Map a given source character to a destination character

#### getFontID

    public int getFontID(char src)

Get the font number assoicated with a given source character